/*
 * Copyright (C), 2002-2015, 江苏三六五网络股份有限公司
 * FileName: House365RestObject.java
 * Author:   duhui
 * Date:     2015年2月3日 下午5:49:29
 * Description:     
 * History: 
 * <author>      <time>      <version>    <desc>
 * 修改人姓名                          修改时间                        版本号                                 描述
 */
package com.house365.rest.parameter;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * 接口Json封装参数
 *
 * @author duhui
 * @version [v1.0.0, 2015年2月3日]
 * @see [相关类/方法]（可选）
 * @since [产品/模块版本] （可选）
 */
public class House365RestObject<T> implements Serializable {

    /**
     */
    private static final long serialVersionUID = 1L;
    
    /**
     * 返回的实体对象列表
     */
    private List<T> list;
    /**
     * 返回实体对象数
     */
    private String total;
    
    private T entity;

    private Map<String,Object> paraMap;

    public Map<String, Object> getParaMap() {
        return paraMap;
    }

    public void setParaMap(Map<String, Object> paraMap) {
        this.paraMap = paraMap;
    }

    public T getEntity() {
        return entity;
    }

    public void setEntity(T entity) {
        this.entity = entity;
    }

    public List<T> getList() {
        return list;
    }

    public void setList(List<T> list) {
        this.list = list;
    }

    public String getTotal() {
        return total;
    }

    public void setTotal(String total) {
        this.total = total;
    }
    
}
